package gavalink

import "time"

// Event for when a track starts playing
type TrackStart struct {
	Track string
}

// Event for when a track ends.
type TrackEnd struct {
	Track  string
	Reason string
}

// Event for when a track encounters an error in playback.
type TrackException struct {
	Track     string
	Error     string
	Exception Exception
}

// Event when a track gets stuck
type TrackStuck struct {
	Track     string
	Threshold time.Duration
}

// Event for when voice is processed and sent back to the client.
type VoiceProcessed struct {
	Data     *VoiceProcessingData
	Hotword  bool
	Override bool
}

// Event fired when the websocket is closed.
type WebSocketClosed struct {
	Code     int
	Reason   string
	ByRemote bool
}
